import { jsx } from "react/jsx-runtime";
import { LegoSmiley as LegoSmiley$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const LegoSmiley = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "LegoSmiley", ...props, children: /* @__PURE__ */ jsx(LegoSmiley$1, { weight: variant }) });
  }
);
LegoSmiley.displayName = "LegoSmiley";
Object.assign(LegoSmiley, { isGdsIcon: true });
export {
  LegoSmiley
};
